# floodam.building 1.3.1.1

## Bugs

* `compute_damage()`
    - Solved bug provoking error when function called from function
    apply_measure()
* `create_new_model()`
    - export added

# floodam.building 1.3.1.0

## Enhancements

* `create_new_model()`
    - Function to generate template for new model

## Documentation

* Vignettes 
    - *The structure of the input file of floodam.building*
    - *From the architect's plan to the input file of floodam.building*

## Dependencies 

* R
    - Package `DT`
    - Package `htmltools`

# floodam.building 1.3.0.0

## Enhancements

* `analyse_hydraulics()`
    - Function to simulate the hydraulics in the interior of the building
* `analyse_model()`
    - New stage "hydraulic"
* `extract_hydraulic_input()`
    - Function called by `analyse_model()` to generate input on exchanges
    through openings
    - Called when "hydraulic" is given as `stage`
* `generate_limnigraph()`
    - Function to generate limnigraph (evolution of water depth against time)
* New global variables (input needed by hydraulic simulator)
    - `floodam_building_hydraulic_discharge_coefficient`, default value 0.42
    - `floodam_building_hydraulic_initial_water_depth_interior` default value 0
    - `floodam_building_hydraulic_closed_opening_clearance` default value 0.5
* New optional tags in XML input to facilitate the identification of water
    exchanges through openings and *empty* walls
    - opening names
    - wall names

## Data

* dwelling models
    - *adu_l* : single storey linear 4-room dwelling
    - *adu_t* : single storey 4-room dwelling; 3 rooms around a central room
    - *adu_t_2room* : single storey 2-room dwelling; created by merging rooms
    in *adu_t*
    - *adu_t_invisible*: similar to *adu_t_2room* but instead of merged, rooms
    are separated by invisible walls

## Documentation

* Vignettes 
    - *Getting started with floodam.building*
    - *Simulating the hydraulic behavior of the interior of a building (English)*

* *How to install python dependencies*

## Dependencies 

* R
    - Package `reticulate`
* Python
    - Python 3
    - Package `NumPy`
    - Package `pandas`
