#' add width to data.frame of walls
#' 
#' @param wall data.frame of walls characteristics, supposed to be well ordered.
#' @return data.frame of walls characteristics, with new column width

add_wall_width = function(wall) {
	calculate_wall_width = function(wall) {
		wall[["width"]] = sqrt((wall[["x"]] - c(wall[["x"]][-1], wall[["x"]][1])) ^ 2 + (wall[["y"]] - c(wall[["y"]][-1], wall[["y"]][1])) ^ 2)
		return(wall)
	}
	
	simplify2data_frame(lapply(split(wall, wall[c("storey", "room")]), calculate_wall_width))
}

calculate_wall_width = function(wall) {
	fun = function(wall) {sqrt((wall[["x"]] - c(wall[["x"]][-1], wall[["x"]][1])) ^ 2 + (wall[["y"]] - c(wall[["y"]][-1], wall[["y"]][1])) ^ 2)}
	
	unlist(lapply(split(wall, wall[c("building", "storey", "room")]), fun))
}
