#' Create a trace of order chosen for walls
#' 
#' @param wall data.frame of walls characteristics, supposed to be well ordered by order_wall
#' @return vector order of the order chosen

order_wall = function(wall) {
	# Manipulation to get the wall in the good order... To be changed ! Needs adaptation in building
    o = getOption('warn')
    options(warn = -1) 	# No warning, there will be for sure!
		ID = sapply(strsplit(as.character(wall), "[_]"), function(x){x[[2]]})
		result = rep(NA, length(ID))
		selection = !is.na(as.integer(ID))
		result[selection] = as.integer(ID[selection])
		result[!selection] = match(ID[!selection], LETTERS) # because some fucking walls are ordered by letters
    options(warn = o)
    return(result)
}

order_room = function(room) {
	room = as.character(room)
	result = rep(NA, length(room))

	external = grep("external", room)
	if (length(external) > 0) {
		result[external] = as.integer(sapply(strsplit(room[external], "[_]"), function(x){x[[2]]}))
	}

	internal = grep("room", room)
	if (length(internal) > 0) {
		result[internal] = length(external) + as.integer(sapply(strsplit(room[internal], "[_]"), function(x){x[[2]]}))
	}

	if (any(is.na(result))) warning("Hum. Something wrong with naming apparently in some room!")
	return(result)
}
