import numpy as np

class exchange():
    def __init__(self, nom, w, zb, ht, Cd):
        self.name = nom
        self.width = w
        self.zb = zb
        self.zt = zb + ht
        self.Cd = Cd
        self.zAm = 0
        self.zAv = 0
        self.Q = []
        self.S = []
        self.Q.append(0)
        self.S.append(0)
        
    def nom(self):
        return self.name
    
    def getLevel(self, t, boundaries, buildings):
        UpstreamFound = False
        DownstreamFound = False
    
        for boundary in boundaries:
            if (boundary.name == self.name.split("|")[0]):
                self.zAm = boundary.val(t)
                UpstreamFound = True
                break
                
            if (boundary.name == self.name.split("|")[1]):
                self.zAv = boundary.val(t)
                DownstreamFound = True
                break
                
        for building in buildings:
            if (building.name == self.name.split("|")[0]):
                self.zAm = building.getLevel()
                UpstreamFound = True
                
            if (building.name == self.name.split("|")[1]):
                self.zAv = building.getLevel()
                DownstreamFound = True
                
        if (UpstreamFound == False):
            print('upstream not found: ' + self.name.split("|")[0])
            exit()
            
        if (DownstreamFound == False):
            print('downstream not found: ' + self.name.split("|")[1])
            exit()
    
    def computeDischarge(self):
        zA = min(self.zAm, self.zAv)
        zB = max(self.zAm, self.zAv)
        
        #cas = -1
        
        if (zB <= self.zb):
            # no flow: water level lower to crest elevation
            #cas = 0
            Q = 0
            S = 0
        else:
            # flow
            #cas += 1
            if (zB <= self.zt):
                #cas += 10
                if (zA <= self.zb):
                    # unsubmerged weir law
                    #cas += 100
                    S = self.width * (zB - self.zb)
                    Q = self.Cd * np.sqrt(2 * 9.81) * S * np.sqrt(zB - self.zb)
                elif ((zA > self.zb) & (zA <= self.zt)):
                    # submerged gate law
                    #cas += 200
                    S = self.width * ((zA + zB) / 2 - self.zb)
                    Q = self.Cd * np.sqrt(2 * 9.81) * S * np.sqrt(abs(zB - zA))
                else:
                    # impossible case
                    #cas += 300
                    print('impossible case')
                    exit()
            else:
                #cas += 20
                if (zA <= self.zb):
                    # unsubmerged gate law
                    #cas += 100
                    S = self.width * (self.zt - self.zb)
                    Q = self.Cd * np.sqrt(2 * 9.81) * S * np.sqrt(zB - (self.zb + self.zt) / 2)
                else:
                    # submerged gate law
                    #cas += 200
                    S = self.width * (self.zt - self.zb)
                    Q = self.Cd * np.sqrt(2 * 9.81) * S * np.sqrt(abs(zB - zA))
         
        Q = np.sign(self.zAm - self.zAv) * Q
        self.Q.append(Q)
        self.S.append(S)
                
    def Discharge(self):
        return self.Q[len(self.Q) - 1]
